﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=5.45
@EndOfDesignText@
'Custom View class
#DesignerProperty: Key: Columns, DisplayName: Columns, FieldType: Int, DefaultValue: 3, MinRange: 0
#DesignerProperty: Key: Rows, DisplayName: Rows, FieldType: Int, DefaultValue: 3, MinRange: 0
Sub Class_Globals
	Private fx As JFX
	Private mEventName As String 'ignore
	Private mCallBack As Object 'ignore
	Private mBase As Pane
	Private panes(0,0) As Pane
	Private columns, rows As Int
End Sub

Public Sub Initialize (Callback As Object, EventName As String)
	mEventName = EventName
	mCallBack = Callback
End Sub

Public Sub DesignerCreateView (Base As Pane, Lbl As Label, Props As Map)
	mBase = Base
	columns = Props.Get("Columns")
	rows = Props.Get("Rows")
	Dim panes(columns, rows) As Pane
	For c = 0 To columns - 1
		For r = 0 To rows - 1
			Dim p As Pane
			p.Initialize("")
			panes(c, r) = p
			Base.AddNode(p, 0, 0, 0, 0)
		Next
	Next
End Sub

Private Sub Base_Resize (Width As Double, Height As Double)
	Dim w As Int = Round(Width / columns)
	Dim h As Int = Round(Height / rows)
	For c = 0 To columns - 1
		For r = 0 To rows - 1
			panes(c, r).SetLayoutAnimated(0, w * c, h * r, w, h)
		Next
	Next
End Sub

Public Sub GetBase As Pane
	Return mBase
End Sub

Public Sub GetPane(Column As Int, Row As Int) As Pane
	Return panes(Column, Row)
End Sub
